<html>
<head>
	<title>Javascript</title>
</head>
<body>
<script>
function calcular(){
debugger;
var inputGenero = document.getElementById('genero');
var genero = inputGenero.value; 
var inputAltura = document.getElementById('txtAltura'); 
var altura = parseFloat(inputAltura.value); 
var resultado  = document.getElementById('resultado');
var pi ; 
if(!isNaN(altura)){
switch(genero){
case 'M' : pi = calcularMasculino(altura) ; break; 
case 'F' : pi = calcularFeminino(altura) ; break;
}
if( pi !== undefined  ){
resultado.innerHTML = 'O PI para o Genero selecionado é ' + pi; 
}
}else{resultado.innerHTML = 'Erro'; 
}
}
function calcularMasculino(altura){
return  (72.7*altura)-58; 
}
function calcularFeminino(altura){
return (62.1*altura)-44.7; 
}
</script>
<label for="genero">Genero</label>
<select name="genero" id="genero">
<option value="" selected>Selecione o Genero</option>
<option value="M">Masculino</option> 
<option value="F">Feminino</option>
</select>
<label for="altura">Altura</label>
<input style="width : 50px;" type="text" id="txtAltura"  />
<input type="button" value="Calcular PI" onclick="calcular();"/>
<p id="resultado">
</p>
</body>
</html>